Debians sikkerhedsbulletin

DSA-970-1 kronolith -- manglende kontrol af inddata

Rapporteret den:
14. feb 2006
Berørte pakker:
kronolith
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 342943, Fejl 349261.
I Mitres CVE-ordbog: CVE-2005-4189.
Yderligere oplysninger:

Johannes Greil fra SEC Consult har opdaget flere sårbarheder i forbindelse med udførelse af skripter på tværs af websteder (cross-site scripting) i kronolith, Hordes kalenderprogram.

Den gamle stabile distribution (woody) indeholder ikke kronolith-pakker.

I den stabile distribution (sarge) er disse problemer rettet i version 1.1.4-2sarge1.

I den ustabile distribution (sid) er disse problemer rettet i version 2.0.6-1 of kronolith2.

Vi anbefaler at du opgraderer dine kronolith- og kronolith2-pakker.

Rettet i:

Debian GNU/Linux 3.1 (sarge)

Kildekode:
http://security.debian.org/pool/updates/main/k/kronolith/kronolith_1.1.4-2sarge1.dsc
http://security.debian.org/pool/updates/main/k/kronolith/kronolith_1.1.4-2sarge1.diff.gz
http://security.debian.org/pool/updates/main/k/kronolith/kronolith_1.1.4.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/k/kronolith/kronolith_1.1.4-2sarge1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.